//
// rpwRand.h
//


#ifndef RPW_RAND_H
#define RPW_RAND_H

void   initRand (int seed);  // Initialize the random seed 
int    iRand    (int size);  // Returns an integer in [0..size-1]
float  fRand    ();          // Returns [0..1.0]
double dRand    (void);     //  ditto but double

// Rand Permutation routines
void   initArray(int *A, int n);          // Populate arrow with 0..n-1
int    swapNInc (int *A, int n, int pos); // Pick rand pos, swap and inc pos
void   permRand (int *A, int n);          // Draw rand permutation


#endif
